/*
 * Copyright (c) 2001 Marcin Dalecki
 * Copyright (c) 2002 Xdvik development team
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * PAUL VOJTA OR ANY OTHER AUTHOR OF THIS SOFTWARE BE LIABLE FOR ANY CLAIM,
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 *
 */

#ifndef XM_MENU_H
#define XM_MENU_H

# ifdef MOTIF

extern Widget create_menu_bar(Widget menu_bar);

extern void set_shrink_factor(void);
extern void set_use_tex_option(void);
extern void set_keep_option(void);
extern void set_ps_option(void);
extern void set_gs_option(void);
extern void set_show_statusline_option(void);
extern void set_show_scrollbars_option(void);
extern void set_show_pagelist_option(void);
extern void set_show_toolbar_option(void);
extern void set_show_statusline_option(void);
extern void set_toggle_ruler(void);
extern unsigned int get_last_ungrab(void);

extern void toggle_menubar(void);


# endif

#endif
